API referenceCompany
POST /api/Company/GetByIds
An array of ids should be passed in the request body, and the API returns a list of Companies that match the ids. In order to get all Companies, pass an empty array.
POST
/api/Company/GetByIdscurl -X POST "/api/Company/GetByIds" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": [
1,
2,
3
]
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
datainteger[] | null
Response
application/json
OK
successbooleanrecordCountinteger<int32>dataEtrmApiGateway.DTOs.PortfolioManagement.CompanyApiDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"name": "string",
"counterPartyId": 0,
"memo": "string"
}
]
}